Update a financial account
curl --request PATCH \
--url https://api.example.com/v1/cases/{case_id}/financial-accounts/{account_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"institution_name": "<string>",
"account_number": "<string>",
"balance": 123,
"details": "<string>",
"user_notes": "<string>"
}
'import requests
url = "https://api.example.com/v1/cases/{case_id}/financial-accounts/{account_id}"
payload = {
"institution_name": "<string>",
"account_number": "<string>",
"balance": 123,
"details": "<string>",
"user_notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
institution_name: '<string>',
account_number: '<string>',
balance: 123,
details: '<string>',
user_notes: '<string>'
})
};
fetch('https://api.example.com/v1/cases/{case_id}/financial-accounts/{account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "01K5XA09BJ4T11HRYE78AN7ABC",
"type": "bank_account",
"institution_name": "Chase Bank",
"account_number": "***1234",
"balance": 15230.5,
"details": "Joint checking account",
"user_notes": "Need to contact branch for paperwork",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found."
}
}{
"error": {
"code": "validation_error",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"message": "Must be a valid email address."
}
]
}
}Financial Accounts
Update a financial account
Partially update a financial account.
PATCH
/
cases
/
{case_id}
/
financial-accounts
/
{account_id}
Update a financial account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique case identifier (ULID format).
Financial account identifier.
Body
application/json
Response
Financial account updated.
Show child attributes
Show child attributes
⌘I

